<?php

namespace Growmatik\Form_Integration\Elementor;

use Elementor\Utils as ElementorUtils;

class Form {

	public function __construct() {
		add_action( 'elementor_pro/init', array( $this, 'register_growmatik_action' ) );
		add_action( 'elementor/editor/before_enqueue_scripts', array( $this, 'enqueue_editor_scripts' ) );
	}

	public function register_growmatik_action() {
		$growmatik_action = new Elementor_Form_Growmatik_Action();

		\ElementorPro\Plugin::instance()->modules_manager->get_modules( 'forms' )->add_form_action( $growmatik_action->get_name(), $growmatik_action );
	}

	/**
	 * Load needed editor scripts.
	 */
	public function enqueue_editor_scripts() {
		$suffix = ElementorUtils::is_script_debug() ? '' : '.min';

		wp_enqueue_script(
			'growmatik-elementor-editor',
			GROWMATIK_ADMIN_ASSETS . 'js/elementor-editor' . $suffix . '.js',
			array( 'jquery' ),
			GROWMATIK_VERSION,
			true
		);
	}
}
